[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomEdit.SetReadOnly

Sets the value for the ReadOnly property.

## Declaration

Source position: stdctrls.pp line 820

`protected procedure TCustomEdit.SetReadOnly(`
`Value: Boolean`
`); virtual;`

## Arguments

`Value` |  | New value for the ReadOnly property.

## See also

TCustomEdit.ReadOnly |  | Indicates if the user is prevented from changing the value for the Text in the control.